@content-spacing: "\000a0\000a0";

body {
    counter-reset: h1counter h2counter h3counter h4counter h5counter h6counter;
}

h1 {
    counter-reset: h2counter h3counter h4counter h5counter h6counter;
    &:before {
        content: counter(h1counter) "." @content-spacing;
        counter-increment: h1counter;
    }
}

h2 {
    counter-reset: h3counter h4counter h5counter h6counter;
    &:before {
        content: counter(h1counter) "." counter(h2counter) "." @content-spacing;
        counter-increment: h2counter;
    }
}

h3 {
    counter-reset: h4counter h5counter h6counter;
    &:before {
        content: counter(h1counter) "." counter(h2counter) "." counter(h3counter) "." @content-spacing;
        counter-increment: h3counter;
    }
}

h4 {
    counter-reset: h5counter h6counter;
    &:before {
        content: counter(h1counter) "." counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." @content-spacing;
        counter-increment: h4counter;
    }
}

h5 {
    counter-reset: h6counter;
    &:before {
        content: counter(h1counter) "." counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." counter(h5counter) "." @content-spacing;
        counter-increment: h5counter;
    }
}

h6 {
    &:before {
        content: counter(h1counter) "." counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." counter(h5counter) "." counter(h6counter) "." @content-spacing;
        counter-increment: h6counter;
    }
}

h1.annexe {
    &:before {
        content: none;
    }
    ~ h2:before {
        content: counter(h2counter) "." @content-spacing;
    }
    ~ h3:before {
        content: counter(h2counter) "." counter(h3counter) "." @content-spacing;
    }
    ~ h4:before {
        content: counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." @content-spacing;
    }
    ~ h5:before {
        content: counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." counter(h5counter) "." @content-spacing;
    }
    ~ h6:before {
        content: counter(h2counter) "." counter(h3counter) "." counter(h4counter) "." counter(h5counter) "." counter(h6counter) "." @content-spacing;
    }
}
